<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        body{
            margin: 0;
            padding: 0;
            border: 0;
            box-sizing: border-box;
        }
        div{
            color:white;
            display: inline-block;
            width: 100px;
            padding: 50px;
            margin: 20px;
            background-color: black;
            ;
        }
        div:first-child {
            background-color: red;
            
        }

        div:last-child { 
            margin-left: 50px;
            background-color:green !important; 
        }

        div:nth-child(n+6) {
            background-color: blue;
        }

        div:nth-child(10) {
            font-size: 34px;
           
        }
        div:nth-child(17) {
            font-size: 34px;
        }

        div:hover:nth-child(3n) {
            border: 3px dashed green;
            }



        
       
        
        
    </style>
</head>
<body>
    <section>
    <div>child_1</div>
    <div>child_2</div>
    <div>child_3</div>
    <div>child_4</div>
    <div>child_5</div>
    <div>child_6</div>
    <div>child_7</div>
    <div>child_8</div>
    <div>child_9</div>
    <div>child_10</div>
    <div>child_11</div>
    <div>child_12</div>
    <div>child_13</div>
    <div>child_14</div>
    <div>child_15</div>
    <div>child_16</div>
    <div>child_17</div>
    <div>child_18</div>
    <div>child_19</div>
    <div>child_20</div>
    </section>

    

    
</body>
</html>